Get Unique Pricing Configs

Retrieve all unique-date pricing configs for a cost rate. The cost rate must have dynamic_pricing set to 2 (exact date and time). Each config contains a name, UUID, and start time.

Request

  • Method: GET

  • Path: /api/dynamic_pricing/unique_pricing_config/{cost_rate_uuid}

Path parameters

Name

Type

Description

cost_rate_uuid

string

UUID of the cost rate to retrieve unique-date configs for.

Example request

curl --location --request GET 'https://example.beenergised.cloud/api/dynamic_pricing/unique_pricing_config/<COST_RATE_UUID>' \
--header 'x-api-token: <your_token>'

Response (200)

{
  "data": [
    {
      "uuid": "<CONFIG_UUID>",
      "name": "New Year Special",
      "start_time": "2026-01-01 00:00:00"
    }
  ]
}

Error responses

  • 404: Cost rate or unique pricing config not found.

{
  "status": "error",
  "message": "Cost rate not found"
}
  • 400: Validation error (e.g., the cost rate does not use unique-date pricing).

{
  "status": "error",
  "message": "<validation message>"
}
  • 500: Generic server error.

{
  "status": "error",
  "message": "Internal Server Error"
}